<?php $__env->startSection('content'); ?>
    <div class="text-center text-white mb-4">
        <h2><?php echo e(\App\Utils\translate('e-Cartify Software Installation')); ?></h2>
        <h6 class="fw-normal"><?php echo e(\App\Utils\translate('Please proceed step by step with proper data according to instructions')); ?></h6>
    </div>

    <div class="pb-2">
        <div class="progress cursor-pointer" role="progressbar" aria-label="Grofresh Software Installation"
             aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" data-bs-toggle="tooltip"
             data-bs-placement="top" data-bs-custom-class="custom-progress-tooltip" data-bs-title="<?php echo e(\App\Utils\translate('Second Step')); ?>!"
             data-bs-delay='{"hide":1000}'>
            <div class="progress-bar" style="width: 40%"></div>
        </div>
    </div>

    <div class="card mt-4">
        <div class="p-4 mb-md-3 mx-xl-4 px-md-5">

            <div class="d-flex align-items-center column-gap-3 flex-wrap">
                <h5 class="fw-normal"><?php echo e(\App\Utils\translate('Purchase Information')); ?></h5>
            </div>
            <p class="mb-4"><?php echo e(\App\Utils\translate('Provide your')); ?> <strong><?php echo e(\App\Utils\translate('username')); ?> </strong><?php echo e(\App\Utils\translate('of codecanyon & the')); ?> <strong><?php echo e(\App\Utils\translate('purchase code')); ?></strong></p>

            <?php if(isset($error) || session()->has('error')): ?>
                <div class="row">
                    <div class="col-md-12">
                        <div class="alert alert-danger">
                            <?php echo e(\App\Utils\translate(session('error'))); ?>.
                        </div>
                    </div>
                </div>
            <?php endif; ?>
            <form method="POST" action="<?php echo e(route('purchase-code-verify',['token'=>bcrypt('purchase')])); ?>">
                <?php echo csrf_field(); ?>
                <div class="bg-light p-4 rounded mb-4">

                    <div class="px-xl-2 pb-sm-3">
                        <div class="row gy-4">
                            <div class="col-md-6">
                                <div class="from-group">
                                    <label for="username" class="d-flex align-items-center gap-2 mb-2">
                                        <span class="fw-medium"><?php echo e(\App\Utils\translate('Username')); ?></span>
                                        <span class="cursor-pointer" data-bs-toggle="tooltip"
                                              data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                                              data-bs-html="true"
                                              data-bs-title="<?php echo e(\App\Utils\translate('The username of your codecanyon account')); ?>">
                                                    <img
                                                        src="<?php echo e(asset('assets/installation')); ?>/assets/img/svg-icons/info2.svg"
                                                        class="svg" alt="">
                                        </span>
                                    </label>
                                    <input type="text" id="username" class="form-control" name="username"
                                           placeholder="<?php echo e(\App\Utils\translate('Ex: John Doe')); ?>" required>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="from-group">
                                    <label for="purchase_key" class="mb-2">
                                        <span class="fw-medium">Purchase Code</span>
                                        <span class="cursor-pointer" data-bs-toggle="tooltip"
                                              data-bs-placement="top" data-bs-custom-class="custom-tooltip"
                                              data-bs-html="true"
                                              data-bs-title="<?php echo e(\App\Utils\translate('The purchase code')); ?>">
                                                    <img
                                                        src="<?php echo e(asset('assets/installation')); ?>/assets/img/svg-icons/info2.svg"
                                                        class="svg" alt="">
                                        </span>
                                    </label>
                                    <input type="text" id="purchase_key" class="form-control" name="purchase_code"
                                           placeholder="Ex: 19xxxxxx-ca5c-49c2-83f6-696a738b0000" required>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="text-center">
                    <button type="submit" class="btn btn-success px-sm-5"><?php echo e(\App\Utils\translate('Continue')); ?></button>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.blank', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /media/jejookit/Rindra/wamp64/www/ketrika vaovao/CodeCanyon/All_code_ecartify_with_documentation/Code with documentation/E-Cartify Backend/E-Cartify_Backend/resources/views/installation/purchase_code.blade.php ENDPATH**/ ?>