<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="keywords"
        content="admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="jejookit">
    <link rel="icon" href="<?php echo e(asset('assets/signin/images/favicon.png')); ?>" type="image/x-icon">
    <link rel="shortcut icon" href="<?php echo e(asset('assets/signin/images/favicon.png')); ?>" type="image/x-icon">
    <title><?php echo e(\App\Utils\translate('admin')); ?> | <?php echo e(\App\Utils\translate('login')); ?></title>
    <!-- Google font-->
    <link href="https://fonts.googleapis.com/css?family=Rubik:400,400i,500,500i,700,700i&amp;display=swap"
        rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,500,500i,700,700i,900&amp;display=swap"
        rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/vendor/icon-set/style.css')); ?>">
    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/signin/css/vendors/bootstrap.css')); ?>">
    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/signin/css/style.css')); ?>">
    <!-- Responsive css-->
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/signin/css/responsive.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/toastr.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/auth-page.css')); ?>">
</head>

<body>
    <div class="loader-wrapper" id="my-loader">
        <span class="loader"></span>
    </div>
    <?php ($shop_logo=\App\Models\BusinessSetting::where(['key'=>'shop_logo'])->first()->value); ?>
    <!-- login page start-->
    <div class="container-fluid p-0">
        <div class="row m-0">
            <div class="col-12 p-0">
                <div class="login-card login-dark">
                    <div>
                        <div>
                            <a class="logo" href="/">
                                <img class="img-fluid for-light" width="120" src="<?php echo e(onErrorImage($shop_logo,asset('storage/shop').'/' . $shop_logo,asset('assets/admin/img/160x160/default.png') ,'shop/')); ?>" alt="looginpage">
                                <img class="img-fluid for-dark" width="120" src="<?php echo e(onErrorImage($shop_logo,asset('storage/shop').'/' . $shop_logo,asset('assets/admin/img/160x160/default.png') ,'shop/')); ?>" alt="looginpage">
                            </a>
                        </div>
                        <div class="login-main">
                            <form class="js-validate theme-form" action="<?php echo e(route('admin.auth.login')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                <h4><?php echo e(\App\Utils\translate('Sign In')); ?></h4>
                                <p><?php echo e(\App\Utils\translate('Welcome Back. Login to your panel')); ?></p>
                                <div class="form-group">
                                    <label class="col-form-label"><?php echo e(\App\Utils\translate('Your email')); ?></label>
                                    <input
                                        class="form-control"
                                        type="email"
                                        name="email"
                                        id="signinEmail"
                                        tabindex="1" placeholder="<?php echo e(\App\Utils\translate('email@address.com')); ?>"
                                        aria-label="<?php echo e(\App\Utils\translate('email@address.com')); ?>"
                                        required
                                        data-msg="<?php echo e(\App\Utils\translate('Please_enter_a_valid_email_address.')); ?>"
                                    >
                                </div>
                                <div class="form-group">
                                    <label class="col-form-label"><?php echo e(\App\Utils\translate('Password')); ?></label>
                                    <div class="form-input position-relative">
                                        <input class="form-control"
                                            type="password"
                                            name="password"
                                            id="signinPassword"
                                            placeholder="<?php echo e(\App\Utils\translate('8+ characters required')); ?>"
                                            aria-label="<?php echo e(\App\Utils\translate('8+ characters required')); ?>" required
                                            data-msg="<?php echo e(\App\Utils\translate('Your password is invalid. Please try again.')); ?>"
                                        >
                                        <div class="show-hide"><span class="show"> </span></div>
                                    </div>
                                </div>
                                <div class="form-group mb-0">
                                    <div class="text-end mt-3">
                                        <button class="btn btn-primary btn-block w-100" type="submit"><?php echo e(\App\Utils\translate('sign_in')); ?></button>
                                    </div>
                                </div>
                            </form>
                            <?php if(env('APP_MODE')=='false'): ?>
                                <div class="auto-fill-data-copy mt-4">
                                    <div class="d-flex flex-wrap align-items-center justify-content-between">
                                        <div>
                                            <span class="d-block"><strong><?php echo e(\App\Utils\translate('Email')); ?> </strong> : <?php echo e(\App\Utils\translate('admin@admin.com')); ?></span>
                                            <span class="d-block"><strong><?php echo e(\App\Utils\translate('Password')); ?> </strong> : <?php echo e(\App\Utils\translate('12345678')); ?></span>
                                        </div>
                                        <div>
                                            <button class="btn btn-primary copy_cred"><i class="tio-copy"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- latest jquery-->
    <script src="<?php echo e(asset('assets/signin/js/jquery.min.js')); ?>"></script>
    <!-- Bootstrap js-->
    <script src="<?php echo e(asset('assets/signin/js/bootstrap/bootstrap.bundle.min.js')); ?>"></script>
    <!-- Theme js-->
    <script src="<?php echo e(asset('assets/signin/js/login.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/admin/js/toastr.js')); ?>"></script>
    <?php echo Toastr::message(); ?>


    <?php if($errors->any()): ?>
        <script>
            "use strict";
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                toastr.error('<?php echo e($error); ?>', 'Error', {
                    closeButton: true,
                    progressBar: true,
                    positionClass: "toast-top-right",
                });
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </script>
    <?php endif; ?>

    <script>
        const rootEl = document.documentElement;

        const isRtl = localStorage.getItem("direction") === "rtl";

        if(isRtl){
            rootEl.setAttribute("dir", "rtl");
        }
        else {
            rootEl.setAttribute("dir", "ltr");
        }

        document.addEventListener('DOMContentLoaded', function () {
            document.querySelector('#my-loader').style.display = 'none';
        });
    </script>
    <script src="<?php echo e(asset('assets/admin')); ?>/js/auth-page.js"></script>
</body>

</html>
<?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/auth/login.blade.php ENDPATH**/ ?>