<?php $__env->startSection('title',\App\Utils\translate('add_new_brand')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin')); ?>/css/custom.css"/>
    <link rel="stylesheet" href="<?php echo e(asset('assets/filepond/css/filepond-plugin-image-preview.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('assets/filepond/css/filepond.min.css')); ?>">
    <link href="<?php echo e(asset('assets/filepond/css/filepond-plugin-image-edit.css')); ?>" rel="stylesheet" />
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="content container-fluid">
        <div class="">
            <div class="row align-items-center mb-3 ">
                <div class="col-sm mb-2 mb-sm-0">
                    <h1 class="page-header-title d-flex align-items-center g-2px text-capitalize">
                        <i class="tio-add-circle-outlined"></i>
                        <span><?php echo e(\App\Utils\translate('add_new_brand')); ?></span>
                    </h1>
                </div>
            </div>
        </div>
        <div class="row gx-2 gx-lg-3">
            <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2">
                <div class="card">
                    <div class="card-body">
                        <form action="<?php echo e(route('admin.brand.store')); ?>" method="post" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-12 col-sm-12">
                                    <div class="form-group">
                                        <label for=""><?php echo e(\App\Utils\translate('brand_name')); ?></label>
                                        <input type="text" name="name" class="form-control" placeholder="<?php echo e(\App\Utils\translate('brand_name')); ?>">
                                        <input name="position" value="0" class="d-none">
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <label><?php echo e(\App\Utils\translate('image')); ?></label><small class="text-danger">* ( <?php echo e(\App\Utils\translate('ratio_1:1')); ?>  )</small>
                                        <input
                                            type="file"
                                            class="filepond"
                                            name="brand"
                                            data-max-file-size="55MB"
                                            data-max-files="100"
                                            data-allow-reorder="true"
                                            data-allow-multiple="true"
                                            class="custom-file-input"
                                        />
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('submit')); ?></button>
                        </form>
                    </div>
                </div>
            </div>

            <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2">
                <div class="card">
                    <div class="card-header">
                        <div>
                            <h5><?php echo e(\App\Utils\translate('brand_table')); ?><span class="badge badge-soft-dark ml-2"><?php echo e($brands->total()); ?></span></h5>
                        </div>
                    </div>
                    <!-- Table -->
                    <div class="table-responsive ">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th ><?php echo e(\App\Utils\translate('#')); ?></th>
                                <th ><?php echo e(\App\Utils\translate('image')); ?></th>
                                <th ><?php echo e(\App\Utils\translate('name')); ?></th>
                                <th class="w-one-bri"><?php echo e(\App\Utils\translate('action')); ?></th>
                            </tr>

                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $brands; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$brand): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($brands->firstItem()+$key); ?></td>
                                    <td>
                                        <img class="img-two-bri"
                                        src="<?php echo e($brand['image_fullpath']); ?>" alt="">
                                    </td>
                                    <td>
                                    <span class="d-block font-size-sm text-body">
                                        <?php echo e($brand['name']); ?>

                                    </span>
                                    </td>
                                    <td>
                                        <a class="btn btn-white mr-1"
                                           href="<?php echo e(route('admin.brand.edit',[$brand['id']])); ?>"><span class="tio-edit"></span></a>
                                        <a class="btn btn-white mr-1 form-alert" href="javascript:"
                                           data-id="brand-<?php echo e($brand['id']); ?>"
                                           data-message="<?php echo e(\App\Utils\translate('Want to delete this brand')); ?>?">
                                            <span class="tio-delete"></span>
                                        </a>
                                        <form action="<?php echo e(route('admin.brand.delete',[$brand['id']])); ?>"
                                              method="post" id="brand-<?php echo e($brand['id']); ?>">
                                            <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                        </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                        <hr>
                        <table>
                            <tfoot>
                            <?php echo $brands->links(); ?>

                            </tfoot>
                        </table>
                        <?php if(count($brands)==0): ?>
                            <div class="text-center p-4">
                                <img class="mb-3 w-two-bri" src="<?php echo e(asset('assets/admin/img/no-data.jpg')); ?>" alt="<?php echo e(\App\Utils\translate('image_description')); ?>">
                                <p class="mb-0"><?php echo e(\App\Utils\translate('No_data_to_show')); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <!-- End Table -->
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src="<?php echo e(asset("assets/admin/js/global.js")); ?>"></script>
    <script src="<?php echo e(asset('assets/filepond/js/filepond-plugin-file-encode.min.js')); ?>"></script>
    <script src="<?php echo e(asset("assets/filepond/js/filepond-plugin-file-validate-size.min.js")); ?>"></script>
    <script src="<?php echo e(asset('assets/filepond/js/filepond-plugin-image-preview.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/filepond/js/filepond-plugin-image-exif-orientation.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/filepond/js/filepond-plugin-image-edit.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/filepond/js/filepond.min.js')); ?>"></script>

    <script>
        initializeFilePond('brand',null,"<?php echo env('APP_URL'); ?>","<?php echo csrf_token(); ?>")
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/brand/index.blade.php ENDPATH**/ ?>