<?php $__env->startSection('title',\App\Utils\translate('customer_details')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('assets/admin')); ?>/css/custom.css"/>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="content container-fluid">
        <div class="d-print-none pb-2">
            <div class="row align-items-center">
                <div class="col-sm mb-2 mb-sm-0">
                    <div class="page-header">
                        <div class="js-nav-scroller hs-nav-scroller-horizontal">
                            <ul class="nav nav-tabs page-header-tabs">
                                <li class="nav-item">
                                    <a class="nav-link active" href="<?php echo e(route('admin.customer.view',[$customer['id']])); ?>"><?php echo e(\App\Utils\translate('order_list')); ?></a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link " href="<?php echo e(route('admin.customer.transaction-list',[$customer['id']])); ?>"><?php echo e(\App\Utils\translate('transaction_list')); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div class="d-sm-flex align-items-sm-center">
                        <h4 class="page-header-title"><?php echo e(\App\Utils\translate('customer')); ?> <?php echo e(\App\Utils\translate('id')); ?>#<?php echo e($customer['id']); ?></h4>
                        <span class="ml-2 ml-sm-3">
                        <i class="tio-date-range"></i> <?php echo e(\App\Utils\translate('joined_at')); ?> : <?php echo e(date('d M Y H:i:s',strtotime($customer['created_at']))); ?>

                        </span>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-8 mb-3 mb-lg-0">
                <div class="card">
                    <div class="card-header">
                        <div class="row justify-content-between align-items-center flex-grow-1">
                            <div class="col-12 col-sm-4 col-md-4 col-lg-4">
                                <h3><?php echo e(\App\Utils\translate('order_table')); ?>

                                    <span class="badge badge-soft-dark ml-2"><?php echo e($orders->total()); ?></span>
                                </h3>
                            </div>
                            <div class="col-12 col-sm-8 col-md-4 col-lg-6">
                                <form action="<?php echo e(url()->current()); ?>" method="GET">
                                    <div class="input-group input-group-merge input-group-flush">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">
                                                <i class="tio-search"></i>
                                            </div>
                                        </div>
                                        <input id="datatableSearch_" type="search" name="search" class="form-control"
                                                placeholder="<?php echo e(\App\Utils\translate('search_by_order_id')); ?>" aria-label="Search" value="<?php echo e($search); ?>" required>
                                        <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('search')); ?> </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive datatable-custom">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th><?php echo e(\App\Utils\translate('#')); ?></th>
                                <th class="text-center"><?php echo e(\App\Utils\translate('order')); ?> <?php echo e(\App\Utils\translate('id')); ?></th>
                                <th><?php echo e(\App\Utils\translate('total')); ?></th>
                                <th><?php echo e(\App\Utils\translate('action')); ?></th>
                            </tr>
                            </thead>

                            <tbody>
                            <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($orders->firstItem()+$key); ?></td>
                                    <td class="table-column-pl-0 text-center">
                                        <a href="#"><?php echo e($order['id']); ?></a>
                                    </td>
                                    <td>
                                        <?php echo e(priceCurrencyFormatPlacing($order->order_amount + $order->total_tax - $order->extra_discount - $order->coupon_discount_amount, \App\Utils\Helpers::currency_symbol(), \App\Utils\Helpers::currency_position())); ?>

                                    </td>
                                    <td>
                                        <button class="btn btn-sm btn-white print-invoice" target="_blank" type="button"
                                        data-id="<?php echo e($order->id); ?>"><i
                                        class="tio-download"></i> <?php echo e(\App\Utils\translate('invoice')); ?></button>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                        <div class="card-footer">
                        <?php echo $orders->links(); ?>

                        </div>
                        <?php if(count($orders)==0): ?>
                            <div class="text-center p-4">
                                <img class="mb-3 w-one-carsi" src="<?php echo e(asset('assets/admin/img/no-data.jpg')); ?>" alt="<?php echo e(\App\Utils\translate('Image Description')); ?>">
                                <p class="mb-0"><?php echo e(\App\Utils\translate('No_data_to_show')); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-header-title"><?php echo e(\App\Utils\translate('customer')); ?></h4>
                    </div>
                    <?php if($customer): ?>
                        <div class="card-body">
                            <div class="media align-items-center" href="javascript:">
                                <div class="avatar avatar-circle mr-3">
                                    <img
                                        class="avatar-img"
                                        src="<?php echo e($customer['image_fullpath']); ?>"
                                        alt="<?php echo e(\App\Utils\translate('Image Description')); ?>">
                                </div>
                                <div class="media-body">
                                <span
                                    class="text-body text-hover-primary"><?php echo e($customer['name']); ?></span>
                                </div>
                            </div>

                            <hr>

                            <div class="media align-items-center" href="javascript:">
                                <div class="icon icon-soft-info icon-circle mr-3">
                                    <i class="tio-shopping-basket-outlined"></i>
                                </div>
                                <div class="media-body">
                                    <span class="text-body text-hover-primary"><?php echo e($orders->total()); ?> <?php echo e(\App\Utils\translate('orders')); ?></span>
                                </div>
                            </div>
                            <div class="media align-items-center mt-1" href="javascript:">
                                <div class="icon icon-soft-info icon-circle mr-3">
                                    <i class="tio-money"></i>
                                </div>
                                <div class="media-body">
                                    <span class="text-body text-hover-primary"><?php echo e(priceCurrencyFormatPlacing($customer->balance, \App\Utils\Helpers::currency_symbol(), \App\Utils\Helpers::currency_position())); ?></span>
                                </div>
                            </div>

                            <hr>

                            <?php if($customer->id!=0): ?>
                                <div class="d-flex justify-content-between align-items-center">
                                    <h5><?php echo e(\App\Utils\translate('contact_info')); ?></h5>
                                </div>
                                <ul class="list-unstyled list-unstyled-py-2">
                                    <li>
                                        <i class="tio-android-phone-vs mr-2"></i>
                                        <?php echo e($customer['mobile']); ?>

                                    </li>
                                    <?php if($customer['email']): ?>
                                        <li>
                                            <i class="tio-online mr-2"></i>
                                            <?php echo e($customer['email']); ?>

                                        </li>
                                    <?php endif; ?>
                                </ul>
                                <hr>
                                <div class="d-flex justify-content-between align-items-center">
                                    <h5><?php echo e(\App\Utils\translate('addresses')); ?></h5>
                                </div>
                                <ul class="list-unstyled list-unstyled-py-2">
                                    <li><?php echo e(\App\Utils\translate('state')); ?>: <?php echo e($customer['state']); ?></li>
                                    <li><?php echo e(\App\Utils\translate('city')); ?>: <?php echo e($customer['city']); ?></li>
                                    <li><?php echo e(\App\Utils\translate('zip_code')); ?>: <?php echo e($customer['zip_code']); ?></li>
                                    <li><?php echo e(\App\Utils\translate('address')); ?>: <?php echo e($customer['address']); ?></li>
                                </ul>
                            <?php endif; ?>
                        </div>
                   <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="print-invoice" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo e(\App\Utils\translate('print')); ?> <?php echo e(\App\Utils\translate('invoice')); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body row font-one-cv">
                    <div class="col-md-12">
                        <div class="text-center">
                            <input type="button" class="btn btn-primary non-printable print-div" data-name="printableArea"
                                value="<?php echo e(\App\Utils\translate('Proceed, If thermal printer is ready')); ?>."/>
                            <a href="<?php echo e(url()->previous()); ?>" class="btn btn-danger non-printable"><?php echo e(\App\Utils\translate('Back')); ?></a>
                        </div>
                        <hr class="non-printable">
                    </div>
                    <div class="row m-auto" id="printableArea">
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script>
        "use strict";

        $(".print-invoice").on('click', function(){
            let order_id = $(this).data('id');
            print_invoice(order_id);
        });

        function print_invoice(order_id) {
            $.get({
                url: '<?php echo e(url('/')); ?>/admin/pos/invoice/'+order_id,
                dataType: 'json',
                beforeSend: function () {
                    $('#loading').show();
                },
                success: function (data) {
                    $('#print-invoice').modal('show');
                    $('#printableArea').empty().html(data.view);
                },
                complete: function () {
                    $('#loading').hide();
                },
            });
        }
    </script>
    <script src=<?php echo e(asset("assets/admin/js/global.js")); ?>></script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/customer/view.blade.php ENDPATH**/ ?>