<?php $__env->startSection('title',\App\Utils\translate('Employee_Add')); ?>
<?php $__env->startPush('css_or_js'); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="content container-fluid">
    <div class="row align-items-center mb-3">
        <div class="col-sm mb-2 mb-sm-0">
            <h1 class="page-header-title d-flex align-items-center g-2px text-capitalize"><i
                    class="tio-add-circle-outlined"></i><?php echo e(\App\Utils\translate('Add_New_Employee')); ?>

            </h1>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card p-3">
                <form action="<?php echo e(route('admin.employee.add-new')); ?>" method="post"  class="js-validate" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="card mb-3">
                        <div class="card-header">
                            <h5 class="card-title">
                            <span class="card-header-icon">
                                <i class="tio-user"></i>
                            </span>
                                <span>
                                <?php echo e(\App\Utils\translate('General_Information')); ?>

                            </span>
                            </h5>
                        </div>
                        <div class="card-body pb-0">
                            <div class="row">
                                <div class="col-md-8">
                                    <div class="row g-3">
                                        <div class="col-sm-6">
                                            <div class="form-group mb-0">
                                                <label class="form-label" for="fname"><?php echo e(\App\Utils\translate('first_name')); ?></label>
                                                <input type="text" name="f_name" class="form-control h--45px" id="fname"
                                                       placeholder="<?php echo e(\App\Utils\translate('Ex:_John')); ?>" value="<?php echo e(old('f_name')); ?>" required>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group mb-0">
                                                <label class="form-label" for="lname"><?php echo e(\App\Utils\translate('last_name')); ?></label>
                                                <input type="text" name="l_name" class="form-control h--45px" id="lname" value="<?php echo e(old('l_name')); ?>"
                                                       placeholder="<?php echo e(\App\Utils\translate('Ex:_Doe')); ?>" value="<?php echo e(old('name')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group mb-0">
                                                <label class="form-label" for="role_id"><?php echo e(\App\Utils\translate('Role')); ?></label>
                                                <select class="w-100 form-control h--45px js-select2-custom" name="role_id" id="role_id" required>
                                                    <option value="" selected disabled><?php echo e(\App\Utils\translate('select_Role')); ?></option>
                                                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <option value="<?php echo e($role->id); ?>"><?php echo e($role->name); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label" for="phone"><?php echo e(\App\Utils\translate('phone')); ?></label>
                                                <input type="tel" name="phone" value="<?php echo e(old('phone')); ?>" class="form-control h--45px" id="phone"
                                                       pattern="[+0-9]+"
                                                       title="Please enter a valid phone number with only numbers and the plus sign (+)"
                                                       placeholder="<?php echo e(\App\Utils\translate('Ex:_+8801******')); ?>" required>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <label><?php echo e(\App\Utils\translate('image')); ?></label><small> ( <?php echo e(\App\Utils\translate('ratio_1:1')); ?>  )( <?php echo e(\App\Utils\translate('optional')); ?>  )</small>
                                    <div class="custom-file">
                                        <input type="file" name="image" id="customFileEg1" class="custom-file-input"
                                               accept=".jpg, .png, .jpeg, .gif, .bmp, .tif, .tiff|image/*" >
                                        <label class="custom-file-label" for="customFileEg1"><?php echo e(\App\Utils\translate('choose')); ?> <?php echo e(\App\Utils\translate('file')); ?></label>
                                    </div>
                                    <div class="form-group my-4">
                                        <div class="text-center">
                                            <img class="img-one-ci" id="viewer"
                                                 src="<?php echo e(asset('assets/admin/img/400x400/img2.jpg')); ?>" alt="<?php echo e(\App\Utils\translate('image')); ?>"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card mb-3">
                        <div class="card-header">
                            <h5 class="card-title">
                            <span class="card-header-icon">
                                <i class="tio-user"></i>
                            </span>
                                <span>
                                <?php echo e(\App\Utils\translate('account_info')); ?>

                            </span>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-4">
                                    <label class="form-label" for="email"><?php echo e(\App\Utils\translate('email')); ?></label>
                                    <input type="email" name="email" value="<?php echo e(old('email')); ?>" class="form-control h--45px" id="email"
                                           placeholder="<?php echo e(\App\Utils\translate('Ex:_ex@gmail.com')); ?>" required>
                                </div>
                                <div class="col-md-4">
                                    <div class="js-form-message form-group">
                                        <label class="input-label" for="signupSrPassword"><?php echo e(\App\Utils\translate('password')); ?></label>
                                        <div class="input-group input-group-merge">
                                            <input type="password" class="js-toggle-password form-control h--45px" name="password" id="signupSrPassword"
                                                   placeholder="<?php echo e(\App\Utils\translate('password_length_8+')); ?>" aria-label="8+ characters required"
                                                   data-msg="Your password is invalid. Please try again."
                                                   data-hs-toggle-password-options='{"target": ".js-toggle-password-target-1",
                                                                                   "defaultClass": "tio-hidden-outlined",
                                                                                   "showClass": "tio-visible-outlined",
                                                                                    "classChangeTarget": ".js-toggle-password-show-icon-1"}'>
                                            <div class="js-toggle-password-target-1 input-group-append">
                                                <a class="input-group-text" href="javascript:;">
                                                    <i class="js-toggle-password-show-icon-1 tio-visible-outlined"></i>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="js-form-message form-group">
                                        <label class="input-label" for="signupSrConfirmPassword"><?php echo e(\App\Utils\translate('confirm_password')); ?></label>
                                        <div class="input-group input-group-merge">
                                            <input type="password" class="js-toggle-password form-control h--45px" name="confirmPassword"
                                                   id="signupSrConfirmPassword" placeholder="<?php echo e(\App\Utils\translate('password_length_8+')); ?>"
                                                   aria-label="8+ characters required" data-msg="Password does not match the confirm password."
                                                   data-hs-toggle-password-options='{"target": ".js-toggle-password-target-2",
                                                                                   "defaultClass": "tio-hidden-outlined",
                                                                                   "showClass": "tio-visible-outlined",
                                                                                   "classChangeTarget": ".js-toggle-password-show-icon-2"}'>
                                            <div class="js-toggle-password-target-2 input-group-append">
                                                <a class="input-group-text" href="javascript:;">
                                                    <i class="js-toggle-password-show-icon-2 tio-visible-outlined"></i>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="btn--container justify-content-end my-2">
                        <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('submit')); ?></button>
                    </div>
                </form>

            </div>
        </div>

        <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2 my-3">
            <div class="card">
                <div class="card-header">
                    <div class="w-100">
                        <div class="row">
                            <div class="col-12 col-sm-4 col-md-6">
                                <h5 class="card-header-title">
                                    <span><?php echo e(\App\Utils\translate('employee_table')); ?></span>
                                    <span class="badge badge-soft-dark ml-2"><?php echo e($employees->total()); ?></span>
                                </h5>

                            </div>
                            <div class="col-12 col-sm-8 col-md-6 mt-1 mt-sm-0">
                                <form action="<?php echo e(url()->current()); ?>" method="GET">
                                    <div class="input-group input-group-merge input-group-flush">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">
                                                <i class="tio-search"></i>
                                            </div>
                                        </div>
                                        <input id="datatableSearch_" type="search" name="search" class="form-control"
                                               placeholder="<?php echo e(\App\Utils\translate('search_by_name_or_email_or_phone')); ?>" aria-label="Search" value="<?php echo e($search); ?>" required>
                                        <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('search')); ?> </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="table-responsive ">
                    <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table mb-4">
                        <thead class="thead-light">
                        <tr>
                            <th><?php echo e(\App\Utils\translate('sl')); ?></th>
                            <th><?php echo e(\App\Utils\translate('Employee Name')); ?></th>
                            <th><?php echo e(\App\Utils\translate('phone')); ?></th>
                            <th><?php echo e(\App\Utils\translate('email')); ?></th>
                            <th class="text-center w-120px"><?php echo e(\App\Utils\translate('action')); ?></th>
                        </tr>
                        </thead>
                        <tbody id="set-rows">
                        <?php $__currentLoopData = $employees; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$employee): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <th scope="row"><?php echo e($key+$employees->firstItem()); ?></th>
                                <td class="text-capitalize"><?php echo e($employee['f_name']); ?> <?php echo e($employee['l_name']); ?></td>
                                <td><?php echo e($employee['phone']); ?></td>
                                <td >
                                    <?php echo e($employee['email']); ?>

                                </td>
                                <td class="text-center w-50px">
                                    <?php if(auth('admin')->id()  != $employee['id']): ?>
                                        <div class="btn--container">
                                            <a class="btn btn-sm btn--primary btn-outline-primary action-btn"
                                               href="<?php echo e(route('admin.employee.edit',[$employee['id']])); ?>" title="<?php echo e(\App\Utils\translate('edit_Employee')); ?>"><i class="tio-edit"></i>
                                            </a>
                                            <a class="btn btn-sm btn--danger btn-outline-danger action-btn" href="javascript:"
                                               onclick="form_alert('employee-<?php echo e($employee['id']); ?>','<?php echo e(\App\Utils\translate('Want_to_delete_this_employee_?')); ?>')" title="<?php echo e(\App\Utils\translate('delete_Employee')); ?>"><i class="tio-delete-outlined"></i>
                                            </a>
                                        </div>
                                        <form action="<?php echo e(route('admin.employee.delete',[$employee['id']])); ?>"
                                              method="post" id="employee-<?php echo e($employee['id']); ?>">
                                            <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                        </form>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    <?php if(count($employees) === 0): ?>
                        <div class="text-center p-4">
                            <img class="mb-3 w-one-cati"
                                 src="<?php echo e(asset('assets/admin/img/no-data.jpg')); ?>"
                                 alt="Image Description">
                            <p class="mb-0"><?php echo e(\App\Utils\translate('No_data_to_show')); ?></p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src=<?php echo e(asset("assets/admin/js/global.js")); ?>></script>
    <script>
        "use strict";

        $('.js-toggle-password').each(function() {
            new HSTogglePassword(this).init()
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/employee/add-new.blade.php ENDPATH**/ ?>