<?php $__env->startSection('title',\App\Utils\translate('demande_list')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="row align-items-center mb-3">
            <div class="col-sm mb-2 mb-sm-0">
                <h1 class="page-header-title d-flex align-items-center g-2px text-capitalize"><i
                        class="tio-filter-list"></i> <?php echo e(\App\Utils\translate('demande_list')); ?>

                    <span class="badge badge-soft-dark ml-2"><?php echo e($demandes->total()); ?></span>
                </h1>
            </div>
        </div>
        <div class="row gx-2 gx-lg-3">
            <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2">
                <div class="card">
                    <div class="card-header">
                        <div class="row justify-content-between align-items-center flex-grow-1">
                            <div class="col-12 col-md-6 mb-3">
                                <form action="<?php echo e(url()->current()); ?>" method="GET">
                                    <div class="input-group input-group-merge input-group-flush">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">
                                                <i class="tio-search"></i>
                                            </div>
                                        </div>
                                        <input id="datatableSearch_" type="search" name="search" class="form-control"
                                               placeholder="<?php echo e(\App\Utils\translate('search_by_name')); ?>" aria-label="<?php echo e(\App\Utils\translate('Search')); ?>" value="<?php echo e($search); ?>" required>
                                        <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('search')); ?> </button>
                                    </div>
                                </form>
                            </div>
                            <div class="col-12 col-md-6">
                                <a href="<?php echo e(route('admin.leave-request.create')); ?>" class="btn btn-primary float-right"><i
                                        class="tio-add-circle"></i> <?php echo e(\App\Utils\translate('add_new_leave_request')); ?>

                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive datatable-custom">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th><?php echo e(\App\Utils\translate('#')); ?></th>
                                <th><?php echo e(\App\Utils\translate('name')); ?></th>
                                <th><?php echo e(\App\Utils\translate('service')); ?></th>
                                <th><?php echo e(\App\Utils\translate('department')); ?></th>
                                <th><?php echo e(\App\Utils\translate('nature_of_leave')); ?></th>
                                <th><?php echo e(\App\Utils\translate('start_date')); ?></th>
                                <th><?php echo e(\App\Utils\translate('end_date')); ?></th>
                                <th><?php echo e(\App\Utils\translate('status')); ?></th>
                                <th><?php echo e(\App\Utils\translate('action')); ?></th>
                            </tr>
                            </thead>

                            <tbody id="set-rows">
                            <?php $__currentLoopData = $demandes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$demande): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($demandes->firstItem()+$key); ?></td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->adminRole->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->department->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->natureOfLeave->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->from); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <?php echo e($demande->to); ?>

                                        </a>
                                    </td>
                                    <td id="status_td_<?php echo e($demande->id); ?>">
                                        <?php if(\App\Utils\Helpers::module_permission_check('can_change_status_leave_request')): ?>
                                            <span class="badge badge-<?php echo e($demande->status == 'pending' ? 'warning' : ($demande->status == 'approved' ? 'success' : 'danger')); ?> status-badge" onclick="showStatusDropdown(<?php echo e($demande->id); ?>)" data-toggle="tooltip" title="Click to change status"><?php echo e(\App\Utils\translate(ucfirst($demande->status))); ?></span>
                                            <select class="form-control d-none" id="status_select_<?php echo e($demande->id); ?>">
                                                <option value="pending" <?php echo e($demande->status == 'pending' ? 'selected' : ''); ?>><?php echo e(\App\Utils\translate('Pending')); ?></option>
                                                <option value="approved" <?php echo e($demande->status == 'approved' ? 'selected' : ''); ?>><?php echo e(\App\Utils\translate('Approved')); ?></option>
                                                <option value="rejected" <?php echo e($demande->status == 'rejected' ? 'selected' : ''); ?>><?php echo e(\App\Utils\translate('Rejected')); ?></option>
                                            </select>
                                            <button class="btn btn-danger btn-sm d-none mt-1" onclick="updateStatus(<?php echo e($demande->id); ?>)"><?php echo e(\App\Utils\translate('Update')); ?></button>
                                        <?php else: ?>
                                            <span class="badge badge-<?php echo e($demande->status == 'pending' ? 'warning' : ($demande->status == 'approved' ? 'success' : 'danger')); ?> status-badge"><?php echo e(\App\Utils\translate(ucfirst($demande->status))); ?></span>
                                        <?php endif; ?>
                                    </td>

                                    <td>
                                        <a class="btn btn-white mr-1"
                                            href="<?php echo e(route('admin.leave-request.edit',[$demande['id']])); ?>">
                                            <span class="tio-edit"></span>
                                        </a>
                                        <a class="btn btn-white mr-1 form-alert" href="javascript:"
                                           data-id="demande-<?php echo e($demande['id']); ?>"
                                           data-message="<?php echo e(\App\Utils\translate('Want to delete this demande')); ?>?"><span class="tio-delete"></span></a>
                                            <form action="<?php echo e(route('admin.leave-request.delete',[$demande['id']])); ?>"
                                                    method="post" id="demande-<?php echo e($demande['id']); ?>">
                                                <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                            </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                        <div class="page-area">
                            <table>
                                <tfoot class="border-top">
                                <?php echo $demandes->links(); ?>

                                </tfoot>
                            </table>
                        </div>
                        <?php if(count($demandes)==0): ?>
                            <div class="text-center p-4">
                                <img class="mb-3 img-one-sl" src="<?php echo e(asset('assets/admin/img/no-data.jpg')); ?>" alt="<?php echo e(\App\Utils\translate('Image Description')); ?>">
                                <p class="mb-0"><?php echo e(\App\Utils\translate('No_data_to_show')); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script_2'); ?>
    <script src=<?php echo e(asset("assets/admin/js/global.js")); ?>></script>
    <script>
        $(document).ready(function(){
            $('[data-toggle="tooltip"]').tooltip();
        });
        function showStatusDropdown(id) {
            $('#status_td_' + id + ' .status-badge').addClass('d-none');
            $('#status_select_' + id).removeClass('d-none');
            $('#status_select_' + id).siblings('button').removeClass('d-none');
        }

        function updateStatus(id) {
            let status = $('#status_select_'+id).val();
            $.ajax({
                url: '<?php echo e(route('admin.leave-request.update-status')); ?>',
                type: 'POST',
                data: {
                    id: id,
                    status: status,
                    _token: '<?php echo e(csrf_token()); ?>'
                },
                success: function (data) {
                   // console.log(data)
                    if (data.success == 'success') {
                        toastr.success(data.message);
                        // Update badge after saving
                        $('#status_td_' + id + ' .status-badge').removeClass('badge-warning badge-success badge-danger');
                        $('#status_td_' + id + ' .status-badge').addClass('badge-' + (status == 'pending' ? 'warning' : (status == 'approved' ? 'success' : 'danger')));
                        $('#status_td_' + id + ' .status-badge').text(status.charAt(0).toUpperCase() + status.slice(1));
                    } else {
                        toastr.error(data.message);
                    }
                    // Hide select dropdown and button after saving
                    $('#status_select_' + id).addClass('d-none');
                    $('#status_select_' + id).siblings('button').addClass('d-none');
                    // Show badge again after saving
                    $('#status_td_' + id + ' .status-badge').removeClass('d-none');
                }
            });
        }
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/leave-requests/index.blade.php ENDPATH**/ ?>