<?php $__env->startSection('title',\App\Utils\translate('nature_of_leave')); ?>

<?php $__env->startPush('css_or_js'); ?>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content container-fluid">
        <div class="row align-items-center mb-3">
            <div class="col-sm mb-2 mb-sm-0">
                <h1 class="page-header-title d-flex align-items-center g-2px text-capitalize"><i
                        class="tio-filter-list"></i> <?php echo e(\App\Utils\translate('nature_of_leave')); ?>

                    <span class="badge badge-soft-dark ml-2"><?php echo e($natureOfLeaves->total()); ?></span>
                </h1>
            </div>
        </div>
        <div class="row gx-2 gx-lg-3">
            <div class="col-sm-12 col-lg-12 mb-3 mb-lg-2">
                <div class="card">
                    <div class="card-header">
                        <div class="row justify-content-between align-items-center flex-grow-1">
                            <div class="col-12 col-md-6 mb-3">
                                <form action="<?php echo e(url()->current()); ?>" method="GET">
                                    <div class="input-group input-group-merge input-group-flush">
                                        <div class="input-group-prepend">
                                            <div class="input-group-text">
                                                <i class="tio-search"></i>
                                            </div>
                                        </div>
                                        <input id="datatableSearch_" type="search" name="search" class="form-control"
                                               placeholder="<?php echo e(\App\Utils\translate('search_by_name')); ?>" aria-label="<?php echo e(\App\Utils\translate('Search')); ?>" value="<?php echo e($search); ?>" required>
                                        <button type="submit" class="btn btn-primary"><?php echo e(\App\Utils\translate('search')); ?> </button>
                                    </div>
                                </form>
                            </div>
                            <div class="col-12 col-md-6">
                                <a href="<?php echo e(route('admin.natureofleave.create')); ?>" class="btn btn-primary float-right"><i
                                        class="tio-add-circle"></i> <?php echo e(\App\Utils\translate('add_new_natureofleave')); ?>

                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive datatable-custom">
                        <table class="table table-borderless table-thead-bordered table-nowrap table-align-middle card-table">
                            <thead class="thead-light">
                            <tr>
                                <th><?php echo e(\App\Utils\translate('#')); ?></th>
                                <th><?php echo e(\App\Utils\translate('name')); ?></th>
                                <th class="hide-div-sl"><?php echo e(\App\Utils\translate('description')); ?></th>
                                <th><?php echo e(\App\Utils\translate('action')); ?></th>
                            </tr>
                            </thead>

                            <tbody id="set-rows">
                            <?php $__currentLoopData = $natureOfLeaves; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$natureOfLeave): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($natureOfLeaves->firstItem()+$key); ?></td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.natureofleave.edit',[$natureOfLeave['id']])); ?>">
                                            <?php echo e($natureOfLeave->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="text-primary" href="<?php echo e(route('admin.natureofleave.edit',[$natureOfLeave['id']])); ?>">
                                            <?php echo e($natureOfLeave->description); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <a class="btn btn-white mr-1"
                                            href="<?php echo e(route('admin.natureofleave.edit',[$natureOfLeave['id']])); ?>">
                                            <span class="tio-edit"></span>
                                        </a>
                                        <a class="btn btn-white mr-1 form-alert" href="javascript:"
                                           data-id="natureofleave-<?php echo e($natureOfLeave['id']); ?>"
                                           data-message="<?php echo e(\App\Utils\translate('Want to delete this natureOfLeave')); ?>?"><span class="tio-delete"></span></a>
                                            <form action="<?php echo e(route('admin.natureofleave.delete',[$natureOfLeave['id']])); ?>"
                                                    method="post" id="natureofleave-<?php echo e($natureOfLeave['id']); ?>">
                                                <?php echo csrf_field(); ?> <?php echo method_field('delete'); ?>
                                            </form>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>

                        <div class="page-area">
                            <table>
                                <tfoot class="border-top">
                                <?php echo $natureOfLeaves->links(); ?>

                                </tfoot>
                            </table>
                        </div>
                        <?php if(count($natureOfLeaves)==0): ?>
                            <div class="text-center p-4">
                                <img class="mb-3 img-one-sl" src="<?php echo e(asset('assets/admin/img/no-data.jpg')); ?>" alt="<?php echo e(\App\Utils\translate('Image Description')); ?>">
                                <p class="mb-0"><?php echo e(\App\Utils\translate('No_data_to_show')); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\wamp64\www\ketrika vaovao\E-Cartify_Backend\resources\views/admin-views/natureOfLeaves/index.blade.php ENDPATH**/ ?>